package xyz.wbsite.frame.base;

import java.io.Serializable;
import java.util.Date;

public class LogTaskEntity implements Serializable {

    /**
     * TASK_ID - 任务主键
     */
    private String taskId;
    /**
     * TASK_NAME - 任务名称
     */
    private String taskName;
    /**
     * START_TIME - 开始时间
     */
    private Date startTime;
    /**
     * END_TIME - 结束时间
     */
    private Date endTime;
    /**
     * EXEC_TIME - 执行耗时
     */
    private Integer execTime;
    /**
     * EXEC_STATE - 执行状态
     */
    private String execState;
    /**
     * EXEC_RESULT - 执行结果
     */
    private String execResult;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getExecTime() {
        return execTime;
    }

    public void setExecTime(Integer execTime) {
        this.execTime = execTime;
    }

    public String getExecState() {
        return execState;
    }

    public void setExecState(String execState) {
        this.execState = execState;
    }

    public String getExecResult() {
        return execResult;
    }

    public void setExecResult(String execResult) {
        this.execResult = execResult;
    }
}
